National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2015-3035 Detail

Description

Directory traversal vulnerability in TP-LINK Archer C5 (1.2) with firmware before 150317, C7 (2.0) with firmware before 150304, and C8 (1.0) with firmware before 150316, Archer C9 (1.0), TL-WDR3500 (1.0), TL-WDR3600 (1.0), and TL-WDR4300 (1.0) with firmware before 150302, TL-WR740N (5.0) and TL-WR741ND (5.0) with firmware before 150312, and TL-WR841N (9.0), TL-WR841N (10.0), TL-WR841ND (9.0), and TL-WR841ND (10.0) with firmware before 150310 allows remote attackers to read arbitrary files via a .. (dot dot) in the PATH_INFO to login/.

Source:  MITRE
Description Last Modified:  04/21/2015

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.8 HIGH
Vector: (AV:N/AC:L/Au:N/C:C/I:N/A:N) (V2 legend)
Impact Subscore: 6.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://packetstormsecurity.com/files/131378/TP-LINK-Local-File-Disclosure.html Exploit
http://seclists.org/fulldisclosure/2015/Apr/26 Exploit
http://www.securityfocus.com/archive/1/535240/100/0/threaded
http://www.securityfocus.com/bid/74050
http://www.tp-link.com/en/download/Archer-C5_V1.20.html#Firmware Patch
http://www.tp-link.com/en/download/Archer-C7_V2.html#Firmware Patch
http://www.tp-link.com/en/download/Archer-C8_V1.html#Firmware Patch
http://www.tp-link.com/en/download/Archer-C9_V1.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WDR3500_V1.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WDR3600_V1.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WDR4300_V1.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WR740N_V5.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WR741ND_V5.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WR841N_V9.html#Firmware Patch
http://www.tp-link.com/en/download/TL-WR841ND_V9.html#Firmware Patch
https://www.sec-consult.com/fxdata/seccons/prod/temedia/advisories_txt/20150410-0_TP-Link_Unauthenticated_local_file_disclosure_vulnerability_v10.txt Exploit

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:o:tp-link:tl-wr841n_\(9.0\)_firmware:*:*:*:*:*:*:*:*
OR
cpe:2.3:h:tp-link:tl-wr841n_\(9.0\):*:*:*:*:*:*:*:*
Configuration 2
AND
OR
cpe:2.3:o:tp-link:tl-wr740n_\(5.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141217
OR
cpe:2.3:h:tp-link:tl-wr740n_\(5.0\):*:*:*:*:*:*:*:*
Configuration 3
AND
OR
cpe:2.3:o:tp-link:archer_c5_\(1.2\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141126
OR
cpe:2.3:h:tp-link:archer_c5_\(1.2\):*:*:*:*:*:*:*:*
Configuration 4
AND
OR
cpe:2.3:o:tp-link:tl-wr841n_\(10.0\)_firmware:*:*:*:*:*:*:*:*
OR
cpe:2.3:h:tp-link:tl-wr841n_\(10.0\):*:*:*:*:*:*:*:*
Configuration 5
AND
OR
cpe:2.3:o:tp-link:tl-wr741nd_\(5.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141217
OR
cpe:2.3:h:tp-link:tl-wr741nd_\(5.0\):*:*:*:*:*:*:*:*
Configuration 6
AND
OR
cpe:2.3:o:tp-link:tl-wdr3600_\(1.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141022
OR
cpe:2.3:h:tp-link:tl-wdr3600_\(1.0\):*:*:*:*:*:*:*:*
Configuration 7
AND
OR
cpe:2.3:o:tp-link:archer_c7_\(2.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141110
OR
cpe:2.3:h:tp-link:archer_c7_\(2.0\):*:*:*:*:*:*:*:*
Configuration 8
AND
OR
cpe:2.3:o:tp-link:tl-wr841nd_\(10.0\)_firmware:150104:*:*:*:*:*:*:*
OR
cpe:2.3:h:tp-link:tl-wr841nd_\(10.0\):*:*:*:*:*:*:*:*
Configuration 9
AND
OR
cpe:2.3:o:tp-link:archer_c9_\(1.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 150122
OR
cpe:2.3:h:tp-link:archer_c9_\(1.0\):*:*:*:*:*:*:*:*
Configuration 10
AND
OR
cpe:2.3:o:tp-link:tl-wr841nd_\(9.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 150104
OR
cpe:2.3:h:tp-link:tl-wr841nd_\(9.0\):*:*:*:*:*:*:*:*
Configuration 11
AND
OR
cpe:2.3:o:tp-link:archer_c8_\(1.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141023
OR
cpe:2.3:h:tp-link:archer_c8_\(1.0\):*:*:*:*:*:*:*:*
Configuration 12
AND
OR
cpe:2.3:o:tp-link:tl-wdr4300_\(1.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141113
OR
cpe:2.3:h:tp-link:tl-wdr4300_\(1.0\):*:*:*:*:*:*:*:*
Configuration 13
AND
OR
cpe:2.3:o:tp-link:tl-wdr3500_\(1.0\)_firmware:*:*:*:*:*:*:*:*    versions up to (including) 141113
OR
cpe:2.3:h:tp-link:tl-wdr3500_\(1.0\):*:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

5 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2015-3035
NVD Published Date:
04/21/2015
NVD Last Modified:
10/09/2018